Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Turn a line into a polyline and do a zero fillet

3 REPLIES 3
SOLVED
Reply
Message 1 of 4
leothebuilder
517 Views, 3 Replies

Turn a line into a polyline and do a zero fillet

I have a lips that creates a zero radius fillet.

(defun c:FZ  () (setvar "FILLETRAD" 0)(command "_.fillet" "multiple"))

This works great.

I would like to expand this by turning the line into a polyline....but am stuck on how to achieve this.

3 REPLIES 3
Message 2 of 4
_Tharwat
in reply to: leothebuilder

maybe this one ...

 

(defun c:FZ (/ obj1 obj2)
  (setvar "FILLETRAD" 0)
  (if (and (progn (prompt "\n Select First line :")
                  (setq obj1 (ssget "_+.:s" '((0 . "LINE"))))
           )
           (progn (prompt "\n Select Second line :")
                  (setq obj2 (ssget "_+.:s" '((0 . "LINE"))))
           )
      )
    (progn
      (command "_.fillet" obj1 obj2 "")
      (command "_.pedit" "_m" obj1 obj2 "" "_join" "" "")
    )
  )
  (princ)
)

 

Message 3 of 4

That worked like a charm !!

 

Thanks

Message 4 of 4
_Tharwat
in reply to: leothebuilder

You're welcome .

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost